Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
productview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $RequireUserLogin = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "true"
| $SimpleOptionHeaders = $ini->variable( "eZTradeMain", "SimpleOptionHeaders" ) == "true"
| $ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"
| $ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true"
| $RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"
| $ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"
| $PurchaseProduct = $ini->variable( "eZTradeMain", "PurchaseProduct" ) == "true" ? true : false
| $PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false
| $locale = new eZLocale( $Language )
| $AdminSiteURL = $ini->variable( "site", "AdminSiteURL" )
| $SiteURL = $ini->variable( "site", "UserSiteURL" )
else | $categoryID = 0
| $product = new eZProduct()
if(isset( $ProductID) &&! $product->get( $ProductID, $categoryID)) if(!isset( $CategoryID)) | else
| $CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" )
| $MainImageWidth = $ini->variable( "eZTradeMain", "MainImageWidth" )
| $MainImageHeight = $ini->variable( "eZTradeMain", "MainImageHeight" )
| $SmallImageWidth = $ini->variable( "eZTradeMain", "SmallImageWidth" )
| $SmallImageHeight = $ini->variable( "eZTradeMain", "SmallImageHeight" )
| $GlobalSectionID = eZProductCategory::sectionIDStatic( $category->id() )
| $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )
| $user =& eZUser::currentUser()
| $t
| $SiteTitleAppend = $product->name()
| $MailMethod = 1
| $pathArray =& $category->path()
foreach( $pathArray as $path) | $mainImage = $product->mainImage()
| $mainImageID = false
| $images = $product->images()
| $i = 0
| $image_count = 0
| $options = $product->options()
| $currency = new eZProductCurrency( )
| $currencies =& $currency->getAll()
if(! $RequireUserLogin or is_a( $user, "eZUser")) | $can_checkout = true
| $currency_locale = new eZLocale( $Language )
| $module_link = new eZModuleLink( "eZTrade", "Product", $product->id() )
| $sections =& $module_link->sections()
foreach( $sections as $section) | $type = $product->type()
if( $product->catalogNumber() !="") | $Quantity = $product->totalQuantity()
| $priceRange =& $product->priceRange()
if(isset( $func_array) and is_array( $func_array)) | $files = $product->files()
| $SiteDescriptionOverride = str_replace( "\"", "", strip_tags( $product->brief() ) )
| $SiteKeywordsOverride = str_replace( "\"", "", strip_tags( $product->keywords() ) )

## Variable Documentation

## ◆ $AdminSiteURL

$AdminSiteURL = $ini->variable( "site", "AdminSiteURL" )

Definition at line 60 of file productview.php.

## ◆ $can_checkout

if (! $RequireUserLogin or is_a($user, "eZUser")) $can_checkout = true

Definition at line 477 of file productview.php.

## ◆ $CapitalizeHeadlines

$CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" )

Definition at line 93 of file productview.php.

## ◆ $categoryID

else $categoryID = 0

Definition at line 66 of file productview.php.

Referenced by eZBulkMailSubscriptionUser\__construct(), eZBulkMailSubscriptionAddress\__construct(), eZBulkMailUserSubscripter\__construct(), eZProduct\activeProducts(), eZProductCategory\activeProducts(), eZArticleCategory\articles(), eZArticleCategory\delete(), eZImageCategory\delete(), eZMediaCategory\delete(), eZProductCategory\delete(), eZProductCategory\generatePermissionSQL(), eZProduct\get(), eZTodo\getByUserID(), eZObjectPermission\hasPermissionWithDefinition(), eZAdCategory\path(), eZArticleCategory\path(), eZVirtualFolder\path(), eZImageCategory\path(), eZLinkCategory\path(), eZMediaCategory\path(), eZNewsCategory\path(), eZTipCategory\path(), eZProductCategory\path(), eZProductCategory\productCount(), eZProductCategory\products(), eZProduct\products(), eZImage\randomImage(), eZArticle\searchTitle(), eZBulkMail\send(), eZBulkMail\sendDelayedMail(), eZArticle\setCategoryDefinition(), eZImage\setCategoryDefinition(), eZLink\setCategoryDefinition(), eZProduct\setCategoryDefinition(), eZMedia\setCategoryDefinition(), eZBulkMailSubscriptionAddress\subscribe(), eZBulkMailSubscriptionUser\subscribe(), eZBulkMailUserSubscripter\subscribe(), eZBulkMailSubscriptionAddress\unsubscribe(), eZBulkMailSubscriptionUser\unsubscribe(), eZBulkMailUserSubscripter\unsubscribe(), and eZArticleCategory\userHasPermision().

## ◆ $currencies

$currencies =& $currency->getAll()

Definition at line 466 of file productview.php.

## ◆ $currency

$currency = new eZProductCurrency( )

Definition at line 465 of file productview.php.

## ◆ $currency_locale

$currency_locale = new eZLocale( $Language )

Definition at line 479 of file productview.php.

## ◆ $files

if (isset($func_array) and is_array($func_array)) $files = $product->files()

Definition at line 892 of file productview.php.

## ◆ $GlobalSectionID

$GlobalSectionID = eZProductCategory::sectionIDStatic( $category->id() )

Definition at line 105 of file productview.php.

## ◆ $i

$i = 0

Definition at line 414 of file productview.php.

## ◆ $image_count

$image_count = 0

Definition at line 417 of file productview.php.

## ◆ $images

$images = $product->images()

Definition at line 412 of file productview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 46 of file productview.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 48 of file productview.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 58 of file productview.php.

## ◆ $MailMethod

$MailMethod = 1

Definition at line 260 of file productview.php.

## ◆ $mainImage

foreach ($pathArray as $path) $mainImage = $product->mainImage()

Definition at line 361 of file productview.php.

## ◆ $MainImageHeight

$MainImageHeight = $ini->variable( "eZTradeMain", "MainImageHeight" )

Definition at line 96 of file productview.php.

## ◆ $mainImageID

$mainImageID = false

Definition at line 362 of file productview.php.

## ◆ $MainImageWidth

$MainImageWidth = $ini->variable( "eZTradeMain", "MainImageWidth" )

Definition at line 95 of file productview.php.

## ◆ $module_link

$module_link = new eZModuleLink( "eZTrade", "Product", $product->id() )

Definition at line 594 of file productview.php.

## ◆ $options

$options = $product->options()

Definition at line 457 of file productview.php.

## ◆ $pathArray

$pathArray =& $category->path()

Definition at line 350 of file productview.php.

## ◆ $priceRange

$priceRange =& $product->priceRange()

Definition at line 830 of file productview.php.

## ◆ $PricesIncludeVAT

$PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false

Definition at line 57 of file productview.php.

## ◆ $product

$product = new eZProduct()

Definition at line 68 of file productview.php.

## ◆ $PurchaseProduct

$PurchaseProduct = $ini->variable( "eZTradeMain", "PurchaseProduct" ) == "true" ? true : false

Definition at line 56 of file productview.php.

## ◆ $Quantity

if ($product->catalogNumber() !="") $Quantity = $product->totalQuantity()

Definition at line 706 of file productview.php.

## ◆ $RequireQuantity

$RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"

Definition at line 54 of file productview.php.

## ◆ $RequireUserLogin

$RequireUserLogin = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "true"

Definition at line 50 of file productview.php.

## ◆ $sectionObject

$sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )

Definition at line 108 of file productview.php.

## ◆ $sections

$sections =& $module_link->sections()

Definition at line 595 of file productview.php.

## ◆ $ShowNamedQuantity

$ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true"

Definition at line 53 of file productview.php.

## ◆ $ShowOptionQuantity

$ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"

Definition at line 55 of file productview.php.

## ◆ $ShowPriceGroups

$ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 49 of file productview.php.

## ◆ $ShowQuantity

$ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"

Definition at line 52 of file productview.php.

## ◆ $SimpleOptionHeaders

$SimpleOptionHeaders = $ini->variable( "eZTradeMain", "SimpleOptionHeaders" ) == "true"

Definition at line 51 of file productview.php.

## ◆ $SiteDescriptionOverride

$SiteDescriptionOverride = str_replace( "\"", "", strip_tags( $product->brief() ) )

Definition at line 935 of file productview.php.

## ◆ $SiteKeywordsOverride

$SiteKeywordsOverride = str_replace( "\"", "", strip_tags( $product->keywords() ) )

Definition at line 936 of file productview.php.

## ◆ $SiteTitleAppend

$SiteTitleAppend = $product->name()

Definition at line 246 of file productview.php.

## ◆ $SiteURL

$SiteURL = $ini->variable( "site", "UserSiteURL" )

Definition at line 61 of file productview.php.

## ◆ $SmallImageHeight

$SmallImageHeight = $ini->variable( "eZTradeMain", "SmallImageHeight" )

Definition at line 99 of file productview.php.

## ◆ $SmallImageWidth

$SmallImageWidth = $ini->variable( "eZTradeMain", "SmallImageWidth" )

Definition at line 98 of file productview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
$IntlDir, $Language, $IniFile )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: productview.php:48
$ini
$ini
Definition: productview.php:46

Definition at line 126 of file productview.php.

## ◆ $type

foreach ($sections as $section) $type = $product->type()

Definition at line 617 of file productview.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 112 of file productview.php.

## ◆ else

if (isset($GenerateStaticPage) &&$GenerateStaticPage=="true" &&! $useVoucher) else

Initial value:
{
$category = new eZProductCategory()
$category
if( $Action=="Edit") $category
Definition: adedit.php:378
eZProductCategory
Definition: ezproductcategory.php:90

Definition at line 87 of file productview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.